PaymentFee

Query estimated transfer fee

POST
/openapi/v1/payments/fees/estimate

Calculate the estimated fee based on the transfer type and amount.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Header Parameters

X-Channel-Provider*string

Provider identifier, such as GLDB

Request Body

application/json
  1. body
transferType*string

Transfer type.

  • INTRA_BANK: Intra-bank transfer
  • MEPS: Local transfer / MEPS+ transfer
  • SWIFT: Cross-border remittance
Value in"INTRA_BANK""MEPS""SWIFT"
amount*string

Transfer amount. A decimal in string format. Must be greater than 0

currency?string

Transfer currency. Required for SWIFT. For INTRA_BANK and MEPS, SGD is used if not passed

usdEquivalentAmount?string

USD equivalent amount. Required if and only if transferType=SWIFT and currency != SGD. Used to calculate the minimum and maximum fee

chargeOption?ChargeBearer

Charge bearer.

  • SHA: Fees are shared between the payer and the beneficiary
  • OUR: The payer bears all fees
  • BEN: The beneficiary bears all fees
Value in"SHA""OUR""BEN"

Response Body

Returns the estimated fee.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?
Example Request
curl -X POST 'https://api.test.stabofx.com/openapi/v1/payments/fees/estimate' \  -H 'X-Channel-Provider: GLDB' \  -H 'Content-Type: application/json' \  -d '{  "transferType": "SWIFT",  "amount": "100.00",  "currency": "USD",  "usdEquivalentAmount": "100.00",  "chargeOption": "SHA"}'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "6a4b18f0fc0b17115026b6760490eec6",  "data": {    "fee": 20,    "currency": "SGD"  }}